Package com.germinus.easyconf

# Class XstreamSerializer

java.lang.Object
com.germinus.easyconf.ConfigurationSerializer
com.germinus.easyconf.XstreamSerializer

public class XstreamSerializer extends ConfigurationSerializer

Author:
  jorge TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final XStream`
`xstream`

## Constructor Summary

Constructors
Constructor
Description
`XstreamSerializer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`deserialize(String serializedConf)`
Deserialize the configuration object from a String
`String`
`serialize(Object configurationObject)`
Serialize a configuration object to a String

### Methods inherited from class com.germinus.easyconf.ConfigurationSerializer

`getSerializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xstream

private static final XStream xstream

## Constructor Details

### XstreamSerializer

public XstreamSerializer()

## Method Details

### deserialize

public Object deserialize(String serializedConf)
Description copied from class: `ConfigurationSerializer`
Deserialize the configuration object from a String

Specified by:
  `deserialize` in class `ConfigurationSerializer`
Parameters:
  `serializedConf` -
Returns:
  A configuration object

### serialize

public String serialize(Object configurationObject)
Description copied from class: `ConfigurationSerializer`
Serialize a configuration object to a String

Specified by:
  `serialize` in class `ConfigurationSerializer`
Parameters:
  `configurationObject` -
Returns:
  An string representing the configuration object